// TestProject60Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "TestProject60.h"
#include "TestProject60Dlg.h"

#include "series.h"
#include "axes.h"
#include "axis.h"
#include "aspect.h"
#include "scroll.h"
#include "valuelist.h"
#include "panel.h"
#include "axislabels.h"
//#include "StateBar.h"
#include "TeeFont.h"
#include "axislabelsitem.h"
#include "titles.h"
#include "math.h"
#include "lineseries.h"
#include "brush.h"
#include "pointer.h"
#include "wall.h"
#include "walls.h"
#include "pen.h"
#include "chartaxispen.h"
#include "linepointseries.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTestProject60Dlg dialog

CTestProject60Dlg::CTestProject60Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CTestProject60Dlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTestProject60Dlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CTestProject60Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTestProject60Dlg)
	DDX_Control(pDX, IDC_TCHART1, m_TChart1);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CTestProject60Dlg, CDialog)
	//{{AFX_MSG_MAP(CTestProject60Dlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_TIMER()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTestProject60Dlg message handlers

BOOL CTestProject60Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	m_nData = 0;

	InitTChart();

	MoveWindow(0, 0, 600, 400);

	m_TChart1.MoveWindow(10, 10, 500, 300);

	SetTimer(8282, 500, NULL);

	

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CTestProject60Dlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CTestProject60Dlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CTestProject60Dlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CTestProject60Dlg::InitTChart()
{
	int i=0;

	m_TChart1.AddSeries(0);
	m_TChart1.AddSeries(0);
	
	m_TChart1.GetPanel().SetMarginLeft(3);
	m_TChart1.GetPanel().SetMarginRight(0);
	m_TChart1.GetPanel().SetMarginTop(0);
	
	m_TChart1.GetPanel().SetColor(RGB(10,48,97));	
	m_TChart1.SetCursor(0);
	
	m_TChart1.GetAxis().GetLeft().SetMaximum(5.0);
	m_TChart1.GetAxis().GetLeft().SetMinimum(0.0);
	m_TChart1.GetAxis().GetLeft().SetIncrement(1.0);
	m_TChart1.GetAxis().GetLeft().SetStartPosition(2);
	m_TChart1.GetAxis().GetLeft().SetEndPosition(100);
	
	m_TChart1.GetAxis().GetBottom().SetMinimum(0.0);
	m_TChart1.GetAxis().GetBottom().SetMaximum(9.0);
	m_TChart1.GetAxis().GetBottom().SetStartPosition(0.0);
	m_TChart1.GetAxis().GetBottom().SetEndPosition(100.0);
	m_TChart1.GetAxis().GetBottom().SetIncrement(1.0);


	///////////////////////////////////????????????///////////////////////////////////////
	m_TChart1.Series(0).SetColor(RGB(255,70,26));
	m_TChart1.Series(1).SetColor(RGB(82,192,253));	
//	m_TChart1.Series(0).GetPen().SetColor(RGB(255,255,255));
//	m_TChart1.Series(0).GetBrush().SetColor(RGB(255,255,255));
//	m_TChart1.Series(0).SetColor(RGB(255,255,255));
//	m_TChart1.Series(0).GetAsLinePoint().GetLinesPen().SetColor(RGB(255,255,255));
//	m_TChart1.Series(0).GetAsLine().GetLinePen().SetColor(RGB(255,255,255));
//	m_TChart1.Series(0).GetAsLine().GetBrush().SetBackColor(RGB(255,255,255));	
//	m_TChart1.Series(0).GetAsLine().GetBrush().SetColor(RGB(255,255,255));	
	///////////////////////////////////????????????///////////////////////////////////////

	//////////////////////////////////////////////////////////////////////////
	m_TChart1.GetAxis().GetLeft().GetAxisPen().SetColor(RGB(255,255,255));
	m_TChart1.GetAxis().GetBottom().GetAxisPen().SetColor(RGB(255,255,255));
	//////////////////////////////////////////////////////////////////////////
	
	
	m_TChart1.Series(0).SetTitle(L"TPS1");
	m_TChart1.Series(1).SetTitle(L"TPS2");
	m_TChart1.Series(0).SetShowInLegend(TRUE);
	m_TChart1.Series(1).SetShowInLegend(TRUE);
	
	m_TChart1.GetAxis().GetLeft().GetLabels().Add(0.0, L"0.0");
	m_TChart1.GetAxis().GetLeft().GetLabels().Add(1.0, L"1.0");		
	m_TChart1.GetAxis().GetLeft().GetLabels().Add(2.0, L"2.0");		
	m_TChart1.GetAxis().GetLeft().GetLabels().Add(3.0, L"3.0");		
	m_TChart1.GetAxis().GetLeft().GetLabels().Add(4.0, L"4.0");	
	m_TChart1.GetAxis().GetLeft().GetLabels().Add(5.0, L"5.0");
	m_TChart1.GetAxis().GetLeft().GetLabels().SetVisible(TRUE);
	
	m_TChart1.GetAxis().GetBottom().GetLabels().Add(0.0, L"0.0");
	m_TChart1.GetAxis().GetBottom().GetLabels().Add(1.0, L"10.0");
	m_TChart1.GetAxis().GetBottom().GetLabels().Add(2.0, L"20.0");
	m_TChart1.GetAxis().GetBottom().GetLabels().Add(3.0, L"30.0");
	m_TChart1.GetAxis().GetBottom().GetLabels().Add(4.0, L"40.0");
	m_TChart1.GetAxis().GetBottom().GetLabels().Add(5.0, L"50.0");
	m_TChart1.GetAxis().GetBottom().GetLabels().Add(6.0, L"60.0");
	m_TChart1.GetAxis().GetBottom().GetLabels().Add(7.0, L"70.0");
	m_TChart1.GetAxis().GetBottom().GetLabels().Add(8.0, L"80.0");
	m_TChart1.GetAxis().GetBottom().GetLabels().Add(9.0, L"90.0");
	m_TChart1.GetAxis().GetBottom().GetLabels().SetVisible(TRUE);

	m_TChart1.Series(0).GetAsLine().GetPointer().SetVisible(TRUE);
	m_TChart1.Series(1).GetAsLine().GetPointer().SetVisible(TRUE);
	m_TChart1.Series(0).GetAsLine().GetPointer().GetBrush().SetColor(RGB(255,255,255));		
	m_TChart1.Series(1).GetAsLine().GetPointer().GetBrush().SetColor(RGB(255,255,255));

	
	
	for(i = 0; i < m_TChart1.GetAxis().GetLeft().GetLabels().Count(); i++)
	{
		m_TChart1.GetAxis().GetLeft().GetLabels().GetItem(i).GetFont().SetColor(RGB(255, 255, 255));		
	}
	for(i = 0; i < m_TChart1.GetAxis().GetBottom().GetLabels().Count(); i++)
	{			
		m_TChart1.GetAxis().GetBottom().GetLabels().GetItem(i).GetFont().SetColor(RGB(255, 255, 255));		
	}
}

void CTestProject60Dlg::OnTimer(UINT nIDEvent) 
{
	switch(nIDEvent)
	{
	case 8282:
		m_nData++;
		m_TChart1.Series(0).AddXY(m_nData-1, (m_nData/2), L"", 1);
		m_TChart1.Series(1).AddXY(m_nData-1, (m_nData/2)+1, L"", 1);

		if (m_nData > 7)
		{
			m_nData = 0;
			KillTimer(nIDEvent);
		}
		break;
	default:
	    break;
	}
	
	CDialog::OnTimer(nIDEvent);
}
